com.amazonaws.services.simpleworkflow.model

## Class GetWorkflowExecutionHistoryRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.simpleworkflow.model.GetWorkflowExecutionHistoryRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class GetWorkflowExecutionHistoryRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`GetWorkflowExecutionHistoryRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetWorkflowExecutionHistoryRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getDomain()` The name of the domain containing the workflow execution.
`WorkflowExecution` `getExecution()` Specifies the workflow execution for which to return the history.
`Integer` `getMaximumPageSize()` The maximum number of results that will be returned per call.
`String` `getNextPageToken()` If a `NextPageToken` was returned by a previous call, there are more results available.
`Boolean` `getReverseOrder()` When set to `true`, returns the events in reverse order.
`int` `hashCode()`
`Boolean` `isReverseOrder()` When set to `true`, returns the events in reverse order.
`void` `setDomain(String domain)` The name of the domain containing the workflow execution.
`void` `setExecution(WorkflowExecution execution)` Specifies the workflow execution for which to return the history.
`void` `setMaximumPageSize(Integer maximumPageSize)` The maximum number of results that will be returned per call.
`void` `setNextPageToken(String nextPageToken)` If a `NextPageToken` was returned by a previous call, there are more results available.
`void` `setReverseOrder(Boolean reverseOrder)` When set to `true`, returns the events in reverse order.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetWorkflowExecutionHistoryRequest` `withDomain(String domain)` The name of the domain containing the workflow execution.
`GetWorkflowExecutionHistoryRequest` `withExecution(WorkflowExecution execution)` Specifies the workflow execution for which to return the history.
`GetWorkflowExecutionHistoryRequest` `withMaximumPageSize(Integer maximumPageSize)` The maximum number of results that will be returned per call.
`GetWorkflowExecutionHistoryRequest` `withNextPageToken(String nextPageToken)` If a `NextPageToken` was returned by a previous call, there are more results available.
`GetWorkflowExecutionHistoryRequest` `withReverseOrder(Boolean reverseOrder)` When set to `true`, returns the events in reverse order.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetWorkflowExecutionHistoryRequest

    public GetWorkflowExecutionHistoryRequest()

### Method Detail

#### setDomain

    public void setDomain(String domain)

The name of the domain containing the workflow execution.

Parameters:
  `domain` - The name of the domain containing the workflow execution.

#### getDomain

    public String getDomain()

The name of the domain containing the workflow execution.

Returns:
  The name of the domain containing the workflow execution.

#### withDomain

    public GetWorkflowExecutionHistoryRequest withDomain(String domain)

The name of the domain containing the workflow execution.

Parameters:
  `domain` - The name of the domain containing the workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setExecution

    public void setExecution(WorkflowExecution execution)

Specifies the workflow execution for which to return the history.

Parameters:
  `execution` - Specifies the workflow execution for which to return the history.

#### getExecution

    public WorkflowExecution getExecution()

Specifies the workflow execution for which to return the history.

Returns:
  Specifies the workflow execution for which to return the history.

#### withExecution

    public GetWorkflowExecutionHistoryRequest withExecution(WorkflowExecution execution)

Specifies the workflow execution for which to return the history.

Parameters:
  `execution` - Specifies the workflow execution for which to return the history.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextPageToken

    public void setNextPageToken(String nextPageToken)

If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

The configured `maximumPageSize` determines how many results can be returned in a single call.

Parameters:
  `nextPageToken` - If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

  The configured `maximumPageSize` determines how many results can be returned in a single call.

#### getNextPageToken

    public String getNextPageToken()

If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

The configured `maximumPageSize` determines how many results can be returned in a single call.

Returns:
  If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

  The configured `maximumPageSize` determines how many results can be returned in a single call.

#### withNextPageToken

    public GetWorkflowExecutionHistoryRequest withNextPageToken(String nextPageToken)

If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

The configured `maximumPageSize` determines how many results can be returned in a single call.

Parameters:
  `nextPageToken` - If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

  The configured `maximumPageSize` determines how many results can be returned in a single call.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMaximumPageSize

    public void setMaximumPageSize(Integer maximumPageSize)

The maximum number of results that will be returned per call. `nextPageToken` can be used to obtain futher pages of results. The default is 1000, which is the maximum allowed page size. You can, however, specify a page size smaller than the maximum.

This is an upper limit only; the actual number of results returned per call may be fewer than the specified maximum.

Parameters:
  `maximumPageSize` - The maximum number of results that will be returned per call. `nextPageToken` can be used to obtain futher pages of results. The default is 1000, which is the maximum allowed page size. You can, however, specify a page size smaller than the maximum.

  This is an upper limit only; the actual number of results returned per call may be fewer than the specified maximum.

#### getMaximumPageSize

    public Integer getMaximumPageSize()

The maximum number of results that will be returned per call. `nextPageToken` can be used to obtain futher pages of results. The default is 1000, which is the maximum allowed page size. You can, however, specify a page size smaller than the maximum.

This is an upper limit only; the actual number of results returned per call may be fewer than the specified maximum.

Returns:
  The maximum number of results that will be returned per call. `nextPageToken` can be used to obtain futher pages of results. The default is 1000, which is the maximum allowed page size. You can, however, specify a page size smaller than the maximum.

  This is an upper limit only; the actual number of results returned per call may be fewer than the specified maximum.

#### withMaximumPageSize

    public GetWorkflowExecutionHistoryRequest withMaximumPageSize(Integer maximumPageSize)

The maximum number of results that will be returned per call. `nextPageToken` can be used to obtain futher pages of results. The default is 1000, which is the maximum allowed page size. You can, however, specify a page size smaller than the maximum.

This is an upper limit only; the actual number of results returned per call may be fewer than the specified maximum.

Parameters:
  `maximumPageSize` - The maximum number of results that will be returned per call. `nextPageToken` can be used to obtain futher pages of results. The default is 1000, which is the maximum allowed page size. You can, however, specify a page size smaller than the maximum.

  This is an upper limit only; the actual number of results returned per call may be fewer than the specified maximum.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setReverseOrder

    public void setReverseOrder(Boolean reverseOrder)

When set to `true`, returns the events in reverse order. By default the results are returned in ascending order of the `eventTimeStamp` of the events.

Parameters:
  `reverseOrder` - When set to `true`, returns the events in reverse order. By default the results are returned in ascending order of the `eventTimeStamp` of the events.

#### getReverseOrder

    public Boolean getReverseOrder()

When set to `true`, returns the events in reverse order. By default the results are returned in ascending order of the `eventTimeStamp` of the events.

Returns:
  When set to `true`, returns the events in reverse order. By default the results are returned in ascending order of the `eventTimeStamp` of the events.

#### withReverseOrder

    public GetWorkflowExecutionHistoryRequest withReverseOrder(Boolean reverseOrder)

When set to `true`, returns the events in reverse order. By default the results are returned in ascending order of the `eventTimeStamp` of the events.

Parameters:
  `reverseOrder` - When set to `true`, returns the events in reverse order. By default the results are returned in ascending order of the `eventTimeStamp` of the events.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isReverseOrder

    public Boolean isReverseOrder()

When set to `true`, returns the events in reverse order. By default the results are returned in ascending order of the `eventTimeStamp` of the events.

Returns:
  When set to `true`, returns the events in reverse order. By default the results are returned in ascending order of the `eventTimeStamp` of the events.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetWorkflowExecutionHistoryRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`